// These preferences set by Debwin override Debian/Mozilla defaults.

pref("browser.download.folderList", 2);
pref("browser.download.manager.closeWhenDone", true);
pref("browser.download.manager.showAlertOnComplete", false);
pref("browser.download.manager.showWhenStarting", false);
pref("browser.download.useDownloadDir", false);
pref("browser.fullscreen.animateUp", 0); // don't animate when F11
pref("browser.history_expire_days.mirror", 180);
//pref("browser.link.open_newwindow.restriction", 0);
pref("browser.search.defaulturl", "http://www.google.com/search?q=");
pref("browser.sessionhistory.max_total_viewers", 2);  // this should reduce firefox RAM usage considerably!
pref("browser.sessionstore.interval", 30000);  // save session every minute
pref("browser.showQuitWarning", true);
pref("browser.startup.homepage", "about:home");
pref("browser.startup.page", 3);  // resume previous session
pref("browser.tabs.animate", false);
pref("browser.tabs.closeWindowWithLastTab", false);
pref("browser.tabs.onTop", false);
//pref("capability.policy.maonoscript.javascript.enabled", "allAccess");
//pref("capability.policy.maonoscript.sites", "24ur.com addons.mozilla.org afx.ms akamai.com akamai.net akamaihd.net alibaba.com aliexpress.com alipay.com aliunicorn.com amazon.com amazonaws.com amxdt.com areyouahuman.com aspnetcdn.com bbci.co.uk bbcimg.co.uk bizographics.com blogblog.com blogger.com bolha.si bootstrapcdn.com brightcove.com brkmd.com buzzfed.com catan-onlinewelt.de cdnjs.com cgpgrey.com chesscomfiles.com cloudflare.com cloudfront.net commonsensemedia.org cvcdn.com d3js.org desk.com deviantart.net dhresource.com disqus.com disquscdn.com dmcdn.net dropboxusercontent.com dxcdn.com ebaydesc.co.uk ebaydesc.com ebaydesc.de ebaypowerhouse.com ebayrtm.com ebaystatic.com echocdn.com edgewall.org facebook.com facebook.net fastly.net fbcdn.net fbsbx.com firstdata.com firstdata.lv flashgot.net fncstatic.com foxnews.com fsdn.com gaug.es gawker.com gfx.ms ggpht.com github.io githubapp.com google-analytics.com google-code-prettify.googlecode.com google-maps-utility-library-v3.googlecode.com google.com google.si googleapis.com googledrive.com googletagmanager.com googletagservices.com googleusercontent.com googlevideo.com gravatar.com gstatic.com hotmail.com html5shiv.googlecode.com i3wm.org ientry.com ientrymail.com images-amazon.com informaction.com jquery.com jquerytools.org jsfiddle.net jshell.net jwpcdn.com kasandbox.org keycaptcha.com khan-academy.appspot.com kongcdn.com leafletjs.com licdn.com liketodownload.com live.com live.net maone.net mathjax.org media-imdb.com mixpanel.com mozilla.net mozilla.org mozillalabs.com msn.com mxpnl.com myspacecdn.com netdna-cdn.com netdna-ssl.com newrelic.com ngfiles.com noscript.net nyt.com optimizely.com outlook.com passport.com passport.net passportimages.com paypal.com paypalobjects.com pbsrc.com persona.org pingdom.net plista.com quoracdn.net rackcdn.com recaptcha.net reddit.com redditmedia.com redditstatic.com reference.com rmncdn.com rpxnow.com scribd.com scribdassets.com sdn.si securecode.com securesuite.net sfdict.com sfx.ms slidesharecdn.com sndcdn.com solvemedia.com soundcloud.com sstatic.net stackauth.com stackoverflow.com subbable.com sugarjs.com sustatic.com tedcdn.com tfd.com tkcdn.com togetherjs.com trellocdn.com tumblr.com turner.com twimg.com tynt.com typekit.com typekit.net typepad.com underscorejs.org vimeo.com vimeocdn.com virtualearth.net wappalyzer.com wikimedia.org wixstatic.com wlxrs.com wordpress.com wp.com wpdigital.net yahoo.com yahooapis.com yimg.com youtube-nocookie.com youtube.com ytimg.com zencdn.net zohostatic.com about: about:addons about:blank about:blocked about:certerror about:config about:crashes about:home about:memory about:neterror about:plugins about:privatebrowsing about:sessionrestore about:srcdoc about:support blob: chrome: file:// http://24ur.com http://afx.ms http://akamai.com http://akamai.net http://akamaihd.net http://alibaba.com http://aliexpress.com http://alipay.com http://aliunicorn.com http://amazon.com http://amazonaws.com http://amxdt.com http://areyouahuman.com http://aspnetcdn.com http://bizographics.com http://blogblog.com http://blogger.com http://bolha.si http://bootstrapcdn.com http://brightcove.com http://brkmd.com http://buzzfed.com http://catan-onlinewelt.de http://cdnjs.com http://cgpgrey.com http://chesscomfiles.com http://cloudflare.com http://cloudfront.net http://commonsensemedia.org http://cvcdn.com http://d3js.org http://desk.com http://deviantart.net http://dhresource.com http://disqus.com http://disquscdn.com http://dmcdn.net http://dropboxusercontent.com http://dxcdn.com http://ebaydesc.com http://ebaydesc.de http://ebaypowerhouse.com http://ebayrtm.com http://ebaystatic.com http://echocdn.com http://edgewall.org http://facebook.com http://facebook.net http://fastly.net http://fbcdn.net http://fbsbx.com http://firstdata.com http://firstdata.lv http://flashgot.net http://fncstatic.com http://foxnews.com http://fsdn.com http://gaug.es http://gawker.com http://gfx.ms http://ggpht.com http://github.io http://githubapp.com http://google-analytics.com http://google.com http://google.si http://googleapis.com http://googledrive.com http://googletagmanager.com http://googletagservices.com http://googleusercontent.com http://googlevideo.com http://gravatar.com http://gstatic.com http://hotmail.com http://i3wm.org http://ientry.com http://ientrymail.com http://images-amazon.com http://informaction.com http://jquery.com http://jquerytools.org http://jsfiddle.net http://jshell.net http://jwpcdn.com http://kasandbox.org http://keycaptcha.com http://kongcdn.com http://leafletjs.com http://licdn.com http://liketodownload.com http://live.com http://live.net http://maone.net http://mathjax.org http://media-imdb.com http://mixpanel.com http://mozilla.net http://mozilla.org http://mozillalabs.com http://msn.com http://mxpnl.com http://myspacecdn.com http://netdna-cdn.com http://netdna-ssl.com http://newrelic.com http://ngfiles.com http://noscript.net http://nyt.com http://optimizely.com http://outlook.com http://passport.com http://passport.net http://passportimages.com http://paypal.com http://paypalobjects.com http://pbsrc.com http://persona.org http://pingdom.net http://plista.com http://quoracdn.net http://rackcdn.com http://recaptcha.net http://reddit.com http://redditmedia.com http://redditstatic.com http://reference.com http://rmncdn.com http://rpxnow.com http://scribd.com http://scribdassets.com http://sdn.si http://securecode.com http://securesuite.net http://sfdict.com http://sfx.ms http://slidesharecdn.com http://sndcdn.com http://solvemedia.com http://soundcloud.com http://sstatic.net http://stackauth.com http://stackoverflow.com http://subbable.com http://sugarjs.com http://sustatic.com http://tedcdn.com http://tfd.com http://tkcdn.com http://togetherjs.com http://trellocdn.com http://tumblr.com http://turner.com http://twimg.com http://tynt.com http://typekit.com http://typekit.net http://typepad.com http://underscorejs.org http://vimeo.com http://vimeocdn.com http://virtualearth.net http://wappalyzer.com http://wikimedia.org http://wixstatic.com http://wlxrs.com http://wordpress.com http://wp.com http://wpdigital.net http://yahoo.com http://yahooapis.com http://yimg.com http://youtube-nocookie.com http://youtube.com http://ytimg.com http://zencdn.net http://zohostatic.com https://24ur.com https://afx.ms https://akamai.com https://akamai.net https://akamaihd.net https://alibaba.com https://aliexpress.com https://alipay.com https://aliunicorn.com https://amazon.com https://amazonaws.com https://amxdt.com https://areyouahuman.com https://aspnetcdn.com https://bizographics.com https://blogblog.com https://blogger.com https://bolha.si https://bootstrapcdn.com https://brightcove.com https://brkmd.com https://buzzfed.com https://catan-onlinewelt.de https://cdnjs.com https://cgpgrey.com https://chesscomfiles.com https://cloudflare.com https://cloudfront.net https://commonsensemedia.org https://cvcdn.com https://d3js.org https://desk.com https://deviantart.net https://dhresource.com https://disqus.com https://disquscdn.com https://dmcdn.net https://dropboxusercontent.com https://dxcdn.com https://ebaydesc.com https://ebaydesc.de https://ebaypowerhouse.com https://ebayrtm.com https://ebaystatic.com https://echocdn.com https://edgewall.org https://facebook.com https://facebook.net https://fastly.net https://fbcdn.net https://fbsbx.com https://firstdata.com https://firstdata.lv https://flashgot.net https://fncstatic.com https://foxnews.com https://fsdn.com https://gaug.es https://gawker.com https://gfx.ms https://ggpht.com https://github.io https://githubapp.com https://google-analytics.com https://google.com https://google.si https://googleapis.com https://googledrive.com https://googletagmanager.com https://googletagservices.com https://googleusercontent.com https://googlevideo.com https://gravatar.com https://gstatic.com https://hotmail.com https://i3wm.org https://ientry.com https://ientrymail.com https://images-amazon.com https://informaction.com https://jquery.com https://jquerytools.org https://jsfiddle.net https://jshell.net https://jwpcdn.com https://kasandbox.org https://keycaptcha.com https://kongcdn.com https://leafletjs.com https://licdn.com https://liketodownload.com https://live.com https://live.net https://maone.net https://mathjax.org https://media-imdb.com https://mixpanel.com https://mozilla.net https://mozilla.org https://mozillalabs.com https://msn.com https://mxpnl.com https://myspacecdn.com https://netdna-cdn.com https://netdna-ssl.com https://newrelic.com https://ngfiles.com https://noscript.net https://nyt.com https://optimizely.com https://outlook.com https://passport.com https://passport.net https://passportimages.com https://paypal.com https://paypalobjects.com https://pbsrc.com https://persona.org https://pingdom.net https://plista.com https://quoracdn.net https://rackcdn.com https://recaptcha.net https://reddit.com https://redditmedia.com https://redditstatic.com https://reference.com https://rmncdn.com https://rpxnow.com https://scribd.com https://scribdassets.com https://sdn.si https://securecode.com https://securesuite.net https://sfdict.com https://sfx.ms https://slidesharecdn.com https://sndcdn.com https://solvemedia.com https://soundcloud.com https://sstatic.net https://stackauth.com https://stackoverflow.com https://subbable.com https://sugarjs.com https://sustatic.com https://tedcdn.com https://tfd.com https://tkcdn.com https://togetherjs.com https://trellocdn.com https://tumblr.com https://turner.com https://twimg.com https://tynt.com https://typekit.com https://typekit.net https://typepad.com https://underscorejs.org https://vimeo.com https://vimeocdn.com https://virtualearth.net https://wappalyzer.com https://wikimedia.org https://wixstatic.com https://wlxrs.com https://wordpress.com https://wp.com https://wpdigital.net https://yahoo.com https://yahooapis.com https://yimg.com https://youtube-nocookie.com https://youtube.com https://ytimg.com https://zencdn.net https://zohostatic.com moz-safe-about: resource:");
pref("dom.popup_maximum", 12);  // allow at most 12 popups

pref("downbar.display.clearButton", false);
pref("downbar.function.clearFiletypes", "");
pref("downbar.function.miniMode", true);
pref("downbar.function.numToTrim", 20);
pref("downbar.function.removeOnOpen", false);
pref("downbar.function.removeOnShow", false);
pref("downbar.function.soundCustomComplete", "file://");
pref("downbar.function.timeToClear", 30);
pref("downbar.function.trimHistory", true);
pref("downbar.function.useTooltipOpacity", true);
/* pref("downbar.function.version", "0.9.10"); 
 * pref("downbar.function.donateTextInterval", "1390829196841");
 * pref("downbar.function.firstRun", false);
 * pref("downbar.style.db_finishedHbox", "background-color:#89AFDB;max-width:135px;max-height:20px;min-height:20px;background:-moz-linear-gradient(top, rgba(255, 255, 255, .8), rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), #89AFDB;-moz-border-radius:2px;border:1px solid threeDShadow;margin-top:1px;margin-bottom:1px;margin-left:2px;margin-right:1px;padding-top:0px;padding-bottom:0px;padding-left:3px;padding-right:0px;");
 * pref("downbar.style.db_notdoneHbox", "background-color:#A3A3A3;max-width:135px;max-height:20px;min-height:20px;background:-moz-linear-gradient(top, rgba(255, 255, 255, .8), rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), #A3A3A3;-moz-border-radius:2px;border:1px solid threeDShadow;margin-top:1px;margin-bottom:1px;margin-left:2px;margin-right:1px;padding-top:0px;padding-bottom:0px;padding-left:3px;padding-right:0px;");
 * pref("downbar.style.db_progressbar", "background-color:#89AFDB;background:-moz-linear-gradient(top, rgba(255, 255, 255, .8), rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), #89AFDB;border-right:0px solid transparent;");
 * */
//pref("extensions.greasemonkey.editor", "/usr/bin/geany");
//pref("extensions.shownSelectionUI", true); ?? for ext
pref("extensions.https_everywhere.toolbar_hint_shown", true);
pref("extensions.https_everywhere.firstrun_context_menu", true);
pref("extensions.https_everywhere._observatory.enabled", true);
pref("extensions.https_everywhere._observatory.alt_roots", true);
pref("extensions.https_everywhere._observatory.popup_shown", true);
pref("extensions.https_everywhere._observatory.use_custom_proxy", true);
pref("extensions.treestyletab.animation.enabled", false);
pref("extensions.treestyletab.autoCollapseExpandSubtreeOnSelect", false);
pref("extensions.treestyletab.autoCollapseExpandSubtreeOnSelect.onCurrentTabRemove", false);
pref("extensions.treestyletab.tabbar.width",      120);
pref("extensions.treestyletab.undoCloseTabSet.behavior", 0);
pref("extensions.webdeveloper.keyboard.8.feature", "view-response-headers");
pref("extensions.webdeveloper.keyboard.8.key", "H");
pref("extensions.webdeveloper.keyboard.8.modifiers", "control shift");
pref("extensions.webdeveloper.keyboard.count", 8);
pref("extensions.xnotifier.customSound", true);
pref("extensions.xnotifier.menuSidebar", false);
pref("extensions.xnotifier.menuWindow", false);
pref("extensions.xnotifier.showTabMenu", false);
pref("extensions.xnotifier.soundUrl", "file:///usr/share/sounds/purple/login.wav");
//pref("intl.accept_languages", "en,sl");
pref("intl.charset.default", "UTF-8");
//~ pref("keyconfig.global.20110522", "");
//~ pref("keyconfig.main.addBookmarkAsKb", "!][][");
//~ pref("keyconfig.main.gtbSearchKey", "control][K][");
//~ pref("keyconfig.main.key_closeWindow", "!][][");
//~ pref("keyconfig.main.key_gotoHistory", "!][][");
//~ pref("keyconfig.main.key_quitApplication", "!][][");
//~ pref("keyconfig.main.key_sanitize", "!][][");
//~ pref("keyconfig.main.key_savePage", "!][][");
//~ pref("keyconfig.main.key_search", "control][J][");
//~ pref("keyconfig.main.key_search2", "!][][");
//~ pref("keyconfig.main.manBookmarkKb", "!][][");
//~ pref("keyconfig.main.showAllHistoryKb", "!][][");
//~ pref("keyconfig.main.viewBookmarksSidebarKb", "!][][");
//~ pref("keyconfig.main.web-developer-view-response-headers-key", "control shift][H][");
//~ pref("keyconfig.main.webdeveloper-disable-styles-key", "!][][");
pref("keyword.URL", "https://www.google.si/search?btnI=&q=");

// network optimizations
pref("network.http.pipelining", true);
pref("network.http.pipelining.ssl", true);
pref("network.http.proxy.pipelining", true);
pref("network.http.pipelining.maxrequests", 8);
pref("network.http.max-persistent-connections-per-proxy", 8);
pref("network.http.max-persistent-connections-per-server", 8);
pref("network.http.max-connections-per-server", 16);
pref("network.proxy.no_proxies_on", "localhost, 127.0.0.1, google.com, gmail.com");

pref("noscript.autoReload", false);
pref("noscript.autoReload.allTabs", false);
pref("noscript.confirmUnsafeReload", true);
//~ pref("places.history.expiration.transient_current_max_pages", 104858);
//~ pref("plugin.default.state", 1);
//~ pref("privacy.donottrackheader.enabled", true);
//~ pref("security.warn_viewing_mixed", false);
pref("view_source.wrap_long_lines", true);
pref("browser.xul.error_pages.expert_bad_cert", true);

// enable webgl
pref("webgl.force-enabled", true);
pref("webgl.prefer-native-gl", true);

// disable PDFjs
pref("pdfjs.disabled", true);
